List a Reddit user's posts
curl --request POST \
--url https://api.bridgly.app/reddit/list-user-posts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"count": 25
}
'import requests
url = "https://api.bridgly.app/reddit/list-user-posts"
payload = {
"username": "<string>",
"count": 25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({username: '<string>', count: 25})
};
fetch('https://api.bridgly.app/reddit/list-user-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"timeMs": 123,
"creditsCost": 123,
"data": [
{
"id": "<string>",
"fullname": "<string>",
"title": "<string>",
"author": "<string>",
"authorFullname": "<string>",
"selftext": "<string>",
"score": 123,
"upvoteRatio": 123,
"numComments": 123,
"createdUtc": 123,
"permalink": "<string>",
"postUrl": "<string>",
"url": "<string>",
"subreddit": "<string>",
"subredditPrefixed": "<string>",
"subredditSubscribers": 123,
"linkFlairText": "<string>",
"domain": "<string>",
"thumbnail": "<string>",
"isSelf": true,
"isVideo": true,
"over18": true,
"spoiler": true,
"stickied": true,
"locked": true
}
]
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}Reddit
List a Reddit user's posts
POST
/
reddit
/
list-user-posts
List a Reddit user's posts
Authorizations
A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.
Body
application/json
Was this page helpful?
⌘I